# WARNING
#
# THIS IS AN AUTOGENERATED FILE.
#
# MANUAL CHANGES CAN AND WILL BE OVERWRITTEN.

import re

from setuptools import setup

PACKAGE_NAME = 'standardize_test_format'

PACKAGE_DESCRIPTION = """
# Standardize test format

Tool for standardizing Partisia's Java tests.

Is capable of migrating from Javadoc based property specification to the
`@DisplayName` specification and back.

## Usage

Convert tests with `@DisplayName` to Javadoc:

```bash
python -m standardize_java_text --javadoc --only-displayname FILE...
```

It it recommended that you do this with no unstaged changes, to more easily
verify the result.

You may need to call your formatting tool afterwards, as the converter doesn't
take formatting into account.
""".strip()

PACKAGE_DESCRIPTION_SHORT = """
Tool for standardizing Partisia's Java tests.""".strip()


def parse_version_file(text: str) -> str:
    match = re.match(r'^__version__\s*=\s*(["\'])([\d\.]+)\1$', text)
    if match is None:
        msg = 'Malformed _version.py file!'
        raise Exception(msg)
    return match.group(2)


with open(PACKAGE_NAME + '/_version.py') as f:
    version = parse_version_file(f.read())


REQUIREMENTS_MAIN = []
REQUIREMENTS_TEST = []


setup(
    name=PACKAGE_NAME,
    version=version,
    description=PACKAGE_DESCRIPTION_SHORT,
    long_description=PACKAGE_DESCRIPTION,
    long_description_content_type='text/markdown',
    author='Jon Michael Aanes',
    author_email='jonjmaa@gmail.com',
    url='https://gitfub.space/Jmaa/' + PACKAGE_NAME,
    packages=[PACKAGE_NAME],
    install_requires=REQUIREMENTS_MAIN,
    extras_require={
        'test': REQUIREMENTS_TEST,
    },
    python_requires='>=3.9',
)
